> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Seasons

Retrieves all seasons for a specified Season Set.

## HTTP Request

`GET https://api.vindicia.com/season_sets/:season_set/seasons`

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| seasonSet | n/a | The **id** or the **vid** of the Season Set | Yes |

## Query Parameters

None.

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Season](Season). Each entry in the array is a full Season object. If no more Seasons are available, the resulting array will be empty. This request should never throw an error.

A *list* of [Season](Season) objects matching the query. Also:

* “total\_count”: Integer count of the number of Seasons in the returned list.

* “url”: The query string provided in the request

**Parent topic:**[Season Sets](../topics/Season_Sets)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.